package com.citizen.app.assist;

public class DebugPrint
{
	private static char uplow(byte c, boolean upper)
	{
		int d = (int) c;
		char rval = 0;
		if(d < 0)
			d = d + 256;
		if(upper)
			d = d / 16;
		else
			d = d % 16;
		if(d > 9)
		{
			switch(d)
			{
				case 10:
					rval = 'A';
					break;
				case 11:
					rval = 'B';
					break;
				case 12:
					rval = 'C';
					break;
				case 13:
					rval = 'D';
					break;
				case 14:
					rval = 'E';
					break;
				case 15:
					rval = 'F';
					break;
			}
		}
		else
			rval = (char) (d + '0');
		return rval;
	}
	
	
	public static String getHexString(byte [] buffer,int len)
	{
		StringBuffer sb = new StringBuffer();
		for(int i=0;i < len;i++)
		{
			if(i % 8 == 0)
				sb.append("\r\n");
			if(i % 16 == 0)
				sb.append("\r\n");
			
			sb.append(uplow(buffer[i], true));
			sb.append(uplow(buffer[i], false));
			sb.append(" ");	
		}
		return sb.toString();
	}
}
