package com.citizen.app.assist;

import com.citizen.jpos.command.ESCPOSConst;
import com.citizen.jpos.printer.ESCPOSPrinter;

public class ChkPrinterStatus {

	private int returnValue;
	
	public int PrinterStatus(ESCPOSPrinter posPtr)
	{
		returnValue = posPtr.printerCheck();
		if(ESCPOSConst.CMP_SUCCESS == returnValue)
		{
			returnValue = posPtr.status();
			if(ESCPOSConst.CMP_STS_NORMAL == returnValue)
			{ // No errors
				return returnValue;
			} else {
				// Cover open error.
				if((ESCPOSConst.CMP_STS_COVER_OPEN & returnValue) > 0)
				{
					return ESCPOSConst.CMP_STS_COVER_OPEN;
				}
				// Paper empty error.
				if((ESCPOSConst.CMP_STS_PAPER_EMPTY & returnValue) > 0)
				{
					return ESCPOSConst.CMP_STS_PAPER_EMPTY;
				}
				// Battery low warning.
				if((ESCPOSConst.CMP_STS_BATTERY_LOW & returnValue) > 0)
				{
					return ESCPOSConst.CMP_STS_BATTERY_LOW;
				}
			}
		} else { // Error(CMP_FAIL, CMP_STS_PRINTEROFF, CMP_STS_TIMEOUT)
			return returnValue;
		}
		return 0;
	}
}
