package com.citizen.app.assist;

import com.citizen.jpos.command.ESCPOS;

/**
 * japanese characters in the printer does not supports fontB and bold.
 */
public class JapaneseSample
{
	protected static char ESC = ESCPOS.ESC;
	
	// character size
	public static final String [] charSize = {
		ESC+"|1C",
		ESC+"|2C",
		ESC+"|3C",
		ESC+"|4C"
	};
	
	// scale horizontal
	public static final String [] horizontal = {
		ESC+"|1hC",
		ESC+"|2hC",
		ESC+"|3hC",
		ESC+"|4hC"
	};
	
	// scale vertical
	public static final String [] vertical = {	
		ESC+"|1vC",
		ESC+"|2vC",
		ESC+"|3vC",
		ESC+"|4vC"
	};
	
	// underline
	public static final String [] underline = {
		ESC + "|uC",
		ESC + "|2uC"
	};
	
	public static final String [] alphabet = {
		"ABCDEFG",
		"HIJKLMN",
		"OPQRSTU",
		"VWXYZ"
	};
	
	public static final String [] hiragana = {
			"あいうえお",
			"かきくけこきゃきゅきょ",
			"さしすせそしゃしゅしょ",
			"たちつてとちゃちゅちょ"			
	};
	
	public static final String [] katakana = {
			"アイウエオ",
			"カキクケコキャキュキョ",
			"サシスセソシャシュショ",
			"タチツテトチャチュチョ"
	};
	
}
